> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Deletes custom :ref:`ref_flyteidl.admin.MatchableAttributesConfiguration` for a

> Delete the customized resource attributes associated with a project



## OpenAPI

````yaml /api-specs/cloud/flyte-native-api.yaml delete /api/v1/project_attributes/{project}
openapi: 3.0.0
info:
  title: flyteidl/service/admin.proto
  version: version not set
servers:
  - url: https://mycluster.domino.tech
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is <your-subdomain>.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
tags:
  - name: AdminService
paths:
  /api/v1/project_attributes/{project}:
    delete:
      tags:
        - AdminService
      summary: >-
        Deletes custom
        :ref:`ref_flyteidl.admin.MatchableAttributesConfiguration` for a
      description: Delete the customized resource attributes associated with a project
      operationId: AdminService_DeleteProjectAttributes
      parameters:
        - name: project
          description: |-
            Unique project id which this set of attributes references.
            +required
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AdminServiceDeleteProjectAttributesBody'
        required: true
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/adminProjectAttributesDeleteResponse'
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/googlerpcStatus'
components:
  schemas:
    AdminServiceDeleteProjectAttributesBody:
      type: object
      properties:
        resource_type:
          $ref: '#/components/schemas/adminMatchableResource'
        org:
          type: string
          description: Optional, org key applied to the project.
      title: >-
        Request to delete a set matchable project level attribute override.

        For more info on matchable attributes, see
        :ref:`ref_flyteidl.admin.MatchableAttributesConfiguration`
    adminProjectAttributesDeleteResponse:
      type: object
      description: Purposefully empty, may be populated in the future.
    googlerpcStatus:
      type: object
      properties:
        code:
          type: integer
          format: int32
        message:
          type: string
        details:
          type: array
          items:
            $ref: '#/components/schemas/protobufAny'
    adminMatchableResource:
      type: string
      enum:
        - TASK_RESOURCE
        - CLUSTER_RESOURCE
        - EXECUTION_QUEUE
        - EXECUTION_CLUSTER_LABEL
        - QUALITY_OF_SERVICE_SPECIFICATION
        - PLUGIN_OVERRIDE
        - WORKFLOW_EXECUTION_CONFIG
        - CLUSTER_ASSIGNMENT
      default: TASK_RESOURCE
      description: >-
        Defines a resource that can be configured by customizable Project-,
        ProjectDomain- or WorkflowAttributes

        based on matching tags.

         - TASK_RESOURCE: Applies to customizable task resource requests and limits.
         - CLUSTER_RESOURCE: Applies to configuring templated kubernetes cluster resources.
         - EXECUTION_QUEUE: Configures task and dynamic task execution queue assignment.
         - EXECUTION_CLUSTER_LABEL: Configures the K8s cluster label to be used for execution to be run
         - QUALITY_OF_SERVICE_SPECIFICATION: Configures default quality of service when undefined in an execution spec.
         - PLUGIN_OVERRIDE: Selects configurable plugin implementation behavior for a given task type.
         - WORKFLOW_EXECUTION_CONFIG: Adds defaults for customizable workflow-execution specifications and overrides.
         - CLUSTER_ASSIGNMENT: Controls how to select an available cluster on which this execution should run.
    protobufAny:
      type: object
      properties:
        '@type':
          type: string
          description: >-
            A URL/resource name that uniquely identifies the type of the
            serialized

            protocol buffer message. This string must contain at least

            one "/" character. The last segment of the URL's path must represent

            the fully qualified name of the type (as in

            `path/google.protobuf.Duration`). The name should be in a canonical
            form

            (e.g., leading "." is not accepted).


            In practice, teams usually precompile into the binary all types that
            they

            expect it to use in the context of Any. However, for URLs which use
            the

            scheme `http`, `https`, or no scheme, one can optionally set up a
            type

            server that maps type URLs to message definitions as follows:


            * If no scheme is provided, `https` is assumed.

            * An HTTP GET on the URL must yield a [google.protobuf.Type][]
              value in binary format, or produce an error.
            * Applications are allowed to cache lookup results based on the
              URL, or have them precompiled into a binary to avoid any
              lookup. Therefore, binary compatibility needs to be preserved
              on changes to types. (Use versioned type names to manage
              breaking changes.)

            Note: this functionality is not currently available in the official

            protobuf release, and it is not used for type URLs beginning with

            type.googleapis.com. As of May 2023, there are no widely used type
            server

            implementations and no plans to implement one.


            Schemes other than `http`, `https` (or the empty scheme) might be

            used with implementation specific semantics.
      additionalProperties: {}
      description: >-
        `Any` contains an arbitrary serialized protocol buffer message along
        with a

        URL that describes the type of the serialized message.


        Protobuf library provides support to pack/unpack Any values in the form

        of utility functions or additional generated methods of the Any type.


        Example 1: Pack and unpack a message in C++.

            Foo foo = ...;
            Any any;
            any.PackFrom(foo);
            ...
            if (any.UnpackTo(&foo)) {
              ...
            }

        Example 2: Pack and unpack a message in Java.

            Foo foo = ...;
            Any any = Any.pack(foo);
            ...
            if (any.is(Foo.class)) {
              foo = any.unpack(Foo.class);
            }
            // or ...
            if (any.isSameTypeAs(Foo.getDefaultInstance())) {
              foo = any.unpack(Foo.getDefaultInstance());
            }

         Example 3: Pack and unpack a message in Python.

            foo = Foo(...)
            any = Any()
            any.Pack(foo)
            ...
            if any.Is(Foo.DESCRIPTOR):
              any.Unpack(foo)
              ...

         Example 4: Pack and unpack a message in Go

             foo := &pb.Foo{...}
             any, err := anypb.New(foo)
             if err != nil {
               ...
             }
             ...
             foo := &pb.Foo{}
             if err := any.UnmarshalTo(foo); err != nil {
               ...
             }

        The pack methods provided by protobuf library will by default use

        'type.googleapis.com/full.type.name' as the type URL and the unpack

        methods only use the fully qualified type name after the last '/'

        in the type URL, for example "foo.bar.com/x/y.z" will yield type

        name "y.z".


        JSON

        ====

        The JSON representation of an `Any` value uses the regular

        representation of the deserialized, embedded message, with an

        additional field `@type` which contains the type URL. Example:

            package google.profile;
            message Person {
              string first_name = 1;
              string last_name = 2;
            }

            {
              "@type": "type.googleapis.com/google.profile.Person",
              "firstName": <string>,
              "lastName": <string>
            }

        If the embedded message type is well-known and has a custom JSON

        representation, that representation will be embedded adding a field

        `value` which holds the custom JSON in addition to the `@type`

        field. Example (for message [google.protobuf.Duration][]):

            {
              "@type": "type.googleapis.com/google.protobuf.Duration",
              "value": "1.212s"
            }

````